<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:output encoding="UTF-8" method="xml" omit-xml-declaration="no"/>
	
	<!-- # Création du ant de reconstruction de la db -->	
	
	<xsl:template match="/*">
		<project name="scBatch.constructFromConfig.subAnt" basedir=".">
			<target name="main">
				<!-- - Migration des users LDAP -->
				<echo>[debut] Migration des users LDAP...</echo>
				<xsl:choose>
					<xsl:when test="importUsers/createOrUpdate/a/o/s[@k='authMethod']/text()='ldap'">
						<scServer url="${{program.webapp.url}}/s/u/batch" user="${{program.webapp.batch.login}}" password="${{program.webapp.batch.password}}" failProperty="x.error" haltOnError="true" verbose="true">
							<importUsers>
								<createOrUpdate>
									<a>
										<xsl:for-each select="importUsers/createOrUpdate/a/o[s[@k='authMethod']/text()='ldap']"> 
											<o>
												<xsl:apply-templates select="@*"/>
												<xsl:copy-of select="s[@k='account' or @k='userType']"/>
												<s k="authMethod">remote</s>
											</o>
										</xsl:for-each>
									</a>
								</createOrUpdate>
							</importUsers>
						</scServer>
					</xsl:when>
					<xsl:otherwise>
						<echo>[INFO] Aucun user LDAP n'a été trouvé</echo>
					</xsl:otherwise>
				</xsl:choose>
				
				<fail message="[ECHEC] Migration des users LDAP : ${{x.error}}">
				    <condition>
				    	<isset property="x.error"/>
				    </condition>
				</fail>
				<echo>[fin] Migration des users LDAP</echo>
				
			</target>
		</project>
	</xsl:template>
	
	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
	
</xsl:stylesheet>