<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:output encoding="UTF-8" method="xml" omit-xml-declaration="no"/>
	
	<!-- # Création du ant de reconstruction de la db -->	
	
	<xsl:template match="/*">
		<project name="scBatch.constructFromConfig.subAnt" basedir=".">
			<target name="main">
				<!-- - Construction de la structure de la db -->
				<echo>[debut] Reconstruction de la db...</echo>
				<scServer url="${{dst.webapp.url}}/s/u/batch" user="${{dst.webapp.batch.login}}" password="${{dst.webapp.batch.password}}" failProperty="x.error" haltOnError="true" verbose="true">
					<xsl:copy-of select="."/>
				</scServer>
				<fail message="[ECHEC] Reconstruction de la db : ${x.error}">
				    <condition>
				    	<isset property="x.error"/>
				    </condition>
				</fail>
				<echo>[fin] Reconstruction de la db</echo>
				
				<!-- - Import des scwsp -->
				<echo>[debut] Import des scWsp...</echo>
				<xsl:for-each select="createWsp">
					<echo>   - [debut] Import de l'atelier ${<xsl:value-of select="@varCreatedWspCode"/>}...</echo>
					<scServer url="${{dst.webapp.url}}/s/u/batch" user="${{dst.webapp.batch.login}}" password="${{dst.webapp.batch.password}}" failProperty="x.error" haltOnError="true" verbose="true">
						<importDatas wspCode="${{{@varCreatedWspCode}}}" refUriTarget="" urlToImport="file:{@varCreatedWspCode}.scwsp" replaceTarget="true"/>
					</scServer>
					<echo>   - [fin] Import de l'atelier ${<xsl:value-of select="@varCreatedWspCode"/>}</echo>
				</xsl:for-each>
				<echo>[fin] Import des scWsp</echo>
			</target>
		</project>
	</xsl:template>
	
</xsl:stylesheet>